#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = __importDefault(require("commander"));
var server_1 = require("./server");
var mock_1 = __importDefault(require("./mock"));
var main = function () {
    commander_1.default
        .option("-f --file <file>", "schema file location", "schema.graphql")
        .option("-p --port <port>", "apollo server port", "4000");
    commander_1.default.parse(process.argv);
    var options = commander_1.default.opts();
    var schema = (0, mock_1.default)(options.file);
    var server = (0, server_1.createMockServer)(schema);
    (0, server_1.startMockServer)(server, options.port);
};
main();
