"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_file_loader_1 = require("@graphql-tools/graphql-file-loader");
var load_1 = require("@graphql-tools/load");
var mock_1 = require("@graphql-tools/mock");
var fs_1 = require("fs");
var checkIfFileExist = function (path) {
    if (!(0, fs_1.existsSync)(path)) {
        console.error(path + " does not exist");
        process.exit(1);
    }
};
var mockSchema = function (file) {
    checkIfFileExist(file);
    var schema = (0, load_1.loadSchemaSync)(file, {
        loaders: [new graphql_file_loader_1.GraphQLFileLoader()],
    });
    return (0, mock_1.addMocksToSchema)({ schema: schema });
};
exports.default = mockSchema;
